> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payroll Payment

> Creates a payroll payment to represent a paid paycheck for a given member to feed into ACA calculations.



## OpenAPI

````yaml post /payroll_payments
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /payroll_payments:
    post:
      tags:
        - payroll_payments
      description: >-
        Creates a payroll payment to represent a paid paycheck for a given
        member to feed into ACA calculations.
      operationId: payroll_payments_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayrollPayment'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PayrollPayment'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PayrollPayment'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayrollPayment'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PayrollPayment:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        member:
          type: string
        payday:
          type: string
          format: date
        period_start:
          type: string
          format: date
        period_end:
          type: string
          format: date
        hours_worked:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
        gross_pay:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
        payroll_provider_external_id:
          type: string
          nullable: true
          maxLength: 255
          description: Unique identifier for the payroll payment in the payroll system.
      required:
        - gross_pay
        - hours_worked
        - id
        - member
        - payday
        - period_end
        - period_start
        - payroll_provider_external_id
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````